<?php
	function GetSessionStatus($LogID,$SID,$conn)
	{
        $status=0;
        $db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("SELECT `status` FROM `session` WHERE `id`=? AND `logs_id`=?");
		$stmt->bind_param("ss", $SID,$LogID);
		$stmt->execute();
		$stmt->bind_result($result);
		$stmt->fetch();
		$status = $result;
		$stmt->close();
		$db->close();
		return $status;

	}
	
	function Login($ID,$Password,$conn)
	{
		//Get Password for Database
        $db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$_SESSION["tempID"]=$ID;
		$stored_pass="";
		$stmt = $db->prepare("SELECT `pass` FROM `logs` WHERE `id` = ?");
		$stmt->bind_param("s", $ID);
		$stmt->execute();
		$stmt->bind_result($pass);
		$stmt->fetch();
		$stored_pass = $pass;
		 $stmt->close();
		//Verify Pass
		$url = "Login.php?page=error";
		if($stored_pass == $Password)
		{
			$url="Accounts.php";
			//Set Sessions
			$_SESSION["SID"] = password_hash(uniqid(), PASSWORD_DEFAULT);
			$_SESSION["UID"] = $ID;
			$status=1;
			$stmt = $db->prepare("INSERT INTO `session`(`id`, `logs_id`, `status`) VALUES (?,?,?)");
			$stmt->bind_param("ssi", $_SESSION["SID"],$_SESSION["UID"],$status);
			$stmt->execute();
			$stmt->close();
		}
		$db->close();
		return $url;
	}
	
	function GetAccountsSummary($ID,$conn)
	{
	    $row=array();
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("SELECT `id`, `balance`,`title` FROM `accounts` WHERE `logs_id` = ?");
		$stmt->bind_param("s", $ID);
		$stmt->execute();
		$stmt->bind_result($row["id"],$row["balance"],$row["title"]);
		$acc_data = array();
		$i=0;
		while($stmt->fetch())
		{
			$acc_data[$i]["ID"]=$row["id"];
			$acc_data[$i]["BAL"]=$row["balance"];
			$acc_data[$i]["TTL"]=$row["title"];
			$i++;
		}
		$stmt->close();
		$db->close();
		return $acc_data;
	}
	
	function GetAccountStatement($ID,$AccountNo,$conn)
	{
	    $row = array();
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("SELECT `id`,`type`,`To_acc`,`From_acc`,`date`,`time`,`status`,`Amount` FROM `transaction` WHERE (`From_acc` = ?  OR `To_acc` = ? ) AND `logs.id` = ?");
		$stmt->bind_param("sss", $AccountNo,$AccountNo,$ID);
		$stmt->execute();
		$stmt->bind_result($row["id"],$row["type"],$row["To_acc"],$row["From_acc"],$row["date"],$row["time"],$row["status"],$row["Amount"]);
		$data = array();
		$i=0;
		while($stmt->fetch())
		{
			$data[$i]["ID"]=$row["id"];
			$data[$i]["TYP"]=$row["type"];
			$data[$i]["PID"]=$row["To_acc"];
			$data[$i]["FRM"]=$row["From_acc"];
			$data[$i]["DAT"]=$row["date"];
			$data[$i]["TIM"]=$row["time"];
			$data[$i]["STA"]=$row["status"];
			$data[$i]["AMT"]=$row["Amount"];
			$i++;
		}
		$stmt->close();
		$db->close();
		return $data;
	}
	
	function GetAllTransaction($conn)
	{
	    $row = array();
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("SELECT `id`,`type`,`To_acc`,`From_acc`,`date`,`time`,`status`,`Amount` FROM `transaction`");
		$stmt->execute();
		$stmt->bind_result($row["id"],$row["type"],$row["To_acc"],$row["From_acc"],$row["date"],$row["time"],$row["status"]
			,$row["Amount"]);
		$data = array();
		$i=0;
		while($stmt->fetch())
		{
			$data[$i]["ID"]=$row["id"];
			$data[$i]["TYP"]=$row["type"];
			$data[$i]["PID"]=$row["To_acc"];
			$data[$i]["FRM"]=$row["From_acc"];
			$data[$i]["DAT"]=$row["date"];
			$data[$i]["TIM"]=$row["time"];
			$data[$i]["STA"]=$row["status"];
			$data[$i]["AMT"]=$row["Amount"];
			$i++;
		}
		$stmt->close();
		$db->close();
		return $data;
	}
	
	
	function GetPayee($ID,$conn)
	{
	    $row = array();
	    $servername = "localhost";
        $username = "kbcambco_first";
        $password = "FYK7boMMjmm6";
        $db = "kbcambco_db";
        $conn = mysqli_connect($servername, $username, $password,$db);
		$stmt = $conn->prepare("SELECT `id`, `bank_name`, `bank_addr`, `name`,`acct_no`,`swift_code` FROM `payee` WHERE `logs_id`=?");
		$stmt->bind_param("s", $ID);
		$stmt->execute();
		$stmt->bind_result($row["id"],$row["bank_name"],$row["bank_addr"],$row["name"],$row["acct_no"],$row["swift_code"]);
		$data = array();
		$i=0;
		while($stmt->fetch())
		{
			$data[$i]["ID"]=$row["id"];
			$data[$i]["BKN"]=$row["bank_name"];
			$data[$i]["BADR"]=$row["bank_addr"];
			$data[$i]["NAME"]=$row["name"];
			$data[$i]["ACN"]=$row["acct_no"];
			$data[$i]["SWC"]=$row["swift_code"];
			$i++;
		}
		$stmt->close();
		$conn->close();
		return $data;
	}
	
	function GetProtectionData($ID,$conn)
	{
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("SELECT `name`,`id` FROM `protection` WHERE `logs_id` = ?");
		$stmt->bind_param("s", $ID);
		$stmt->execute();
		$stmt->bind_result($row["name"],$row["id"]);
		$data = array();
		$stmt->fetch();
		$data[0]["NAME"]=$row["name"];
		$data[0]["ID"]=$row["id"];
		$stmt->close();
		$db->close();
		return $data;

	}

	function MakeTransfer($TransferData,$conn)
	{
	    $row = array();
	    $db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("CALL `sp_makeTransfer`(?, ?, ?, ?, ?);");
		$stmt->bind_param("sisss", $TransferData["LogID"],$TransferData["Amount"],$TransferData["PayerID"],$TransferData["PayeeID"],$TransferData["Code"]);
		$stmt->execute();
		$stmt->bind_result($row["Protected"],$row["BalanceSufficient"],$row["PayeeConfirmd"],$row["CodeConfirmd"],$row["PayeeData"],$row["PayerData"]);
		$data = array();
		$stmt->fetch();
		$data[0]["Protected"]=$row["Protected"];
		$data[0]["BalanceSufficient"]=$row["BalanceSufficient"];
		$data[0]["PayeeConfirmd"]=$row["PayeeConfirmd"];
		$data[0]["CodeConfirmd"]=$row["CodeConfirmd"];
		$data[0]["PayeeData"]=$row["PayeeData"];
		$data[0]["PayerData"]=$row["PayerData"];
		$stmt->close();
		$db->close();
		return $data;
	}
	
	function AddPayee($PayeeData,$conn)
	{
	    $row = array();
        $db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("INSERT INTO `payee`(`id`, `logs_id`, `bank_name`, `bank_addr`, `name`, `acct_no`, `swift_code`) VALUES (?,?,?,?,?,?,?)");
		$stmt->bind_param("sssssss", $PayeeData["ID"],$PayeeData["LogID"],$PayeeData["BankName"],$PayeeData["BankAddr"],$PayeeData["Name"],$PayeeData["Acct"],$PayeeData["SWC"]);
		$stmt->execute();
		$stmt->close();
		$db->close();
	}
	
	function EditPayee($PayeeData,$conn)
	{
	    $row = array();
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("UPDATE `payee` SET `bank_name`=?,`bank_addr`=?,`name`=?,`acct_no`=?,`swift_code`=? WHERE `logs_id` = ? AND `id`=?");
		$stmt->bind_param("sssssss", $PayeeData["BankName"],$PayeeData["BankAddr"],$PayeeData["Name"],$PayeeData["Acct"],$PayeeData["SWC"],$PayeeData["LogID"],$PayeeData["ID"]);
		$stmt->execute();
		$stmt->close();
		$db->close();
	}
	
	function GetProfile($ID,$conn)
	{
	    $row = array();
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("SELECT `id`, `pass`,  `name`, `address`, `nationality`, `dob`, `phone`, `image`,`email` FROM `logs` WHERE `id`=?");
		$stmt->bind_param("s", $ID);
		$stmt->execute();
		$stmt->bind_result($row["id"],$row["pass"],$row["name"],$row["address"],$row["nationality"],$row["dob"],$row["phone"],$row["image"],$row["email"]);
		$stmt->fetch();
		$profile_data = array();
		$profile_data["id"] = $row["id"];
		$profile_data["pass"] = $row["pass"];
		$profile_data["name"] = $row["name"];
		$profile_data["address"] = $row["address"];
		$profile_data["nationality"] = $row["nationality"];
		$profile_data["dob"] = $row["dob"];
		$profile_data["phone"] = $row["phone"];
		$profile_data["email"] = $row["email"];
		$profile_data["image"] = $row["image"];
		$stmt->close();
		$db->close();
		return $profile_data;
	}
	
	function UpdateProfile($UpdateData,$conn)
	{
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("UPDATE `logs` SET `pass`=?,`address`=?,`dob`=?,`phone`=?,`email`=?, `image`=? WHERE `id`=?");
		$stmt->bind_param("sssssss", $UpdateData["pass"],$UpdateData["address"],$UpdateData["dob"],$UpdateData["phone"],$UpdateData["email"],$UpdateData["image"],$UpdateData["id"]);
		$stmt->execute();
		$stmt->close();
		$db->close();
	}
	
	function Logout($UserData,$conn)
	{
		$i=0;
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("UPDATE `session` SET `status`= ? WHERE `logs_id` =?  AND `id` = ?");
		$stmt->bind_param("iss",$i,$UserData["UID"],$UserData["SID"]);
		$stmt->execute();
		$stmt->close();
		$db->close();
	}
	
	function DeletePayee($PayeeData,$conn)
	{
		$i=0;
		$stmt = $conn->prepare("DELETE FROM `payee` WHERE `id`=? AND `logs_id`=?");
		$stmt->bind_param("ss",$PayeeData["ID"],$PayeeData["LogID"]);
		$stmt->execute();
		$stmt->close();
	}
	
	function CreateAccount($acc_data,$conn)
	{
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("CALL sp_createAccount(?, ?, ?, ?, ?, ?, ?, ?, ?, ?,?,?,?);");
		$stmt->bind_param("sssssssssssss", $acc_data["Username"],$acc_data["Password"],$acc_data["Name"],$acc_data["Address"],$acc_data["Nationality"],$acc_data["Dob"],$acc_data["Phone"],$acc_data["email"],$acc_data["Img"],$acc_data["AcctNo"],$acc_data["SecAllow"],$acc_data["SecName"],$acc_data["SecCode"]);
		$stmt->execute();
		$stmt->close();
		$db->close();
		$from = "Kookmin <kookminbank@kbb-camb.com>";
		
		$msg = "<html>
				<head></head>
				<body style='font-family:courier;font-size:14px'>
				<p><img src='https://oimg1.kbstar.com/img/global/ogcbd/eng/t_intro.png' />
				<p>Dear  ".$acc_data["Name"].", </p>
				<p>Your account has been created, and your account number is <span style='font-weight:bold; font-size:16px'>".$acc_data["AcctNo"]."</span><br/></p>
				<p>Thanks.<br/>Kb Kookmin Cambodia.</p>
				</body>
				</html>";
		$headers = "MIME-Version: 1.0" . "\r\n";
		$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
		$headers .= 'From: ' . $from . "\r\n";
		$headers .= 'Reply-To: ' .$from . "\r\n";
		$headers .= 'X-Mailer: PHP/' . phpversion();
		mail($acc_data["email"],"Welcome to Kb Kookmin Cambodia.",$msg,$headers);
		
	}
	
	function EditAccount($acc_data,$conn)
	{
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("CALL `sp_editAccount`(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?);");
		$stmt->bind_param("sssssssssss", $acc_data["Username"],$acc_data["Name"],$acc_data["Address"],$acc_data["Nationality"],$acc_data["Dob"],$acc_data["Phone"],$acc_data["email"],$acc_data["Img"],$acc_data["SecAllow"],$acc_data["SecName"],$acc_data["SecCode"]);
		$stmt->execute();
		$stmt->close();
		$db->close();
	}
	function DeleteAccount($acc_data,$conn)
	{
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("CALL `sp_deleteAccount`(?);");
		$stmt->bind_param("s", $acc_data["Username"]);
		$stmt->execute();
		$stmt->close();
		$db->close();
	}
	
	function MakeDeposit($deposit,$conn)
	{
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("CALL `sp_MakeDeposit`(?, ?, ?, ?);");
		$stmt->bind_param("ssss",$deposit["From"],$deposit["To"],$deposit["Desc"],$deposit["Amount"]);
		$stmt->execute();
		$stmt->close();
		$db->close();
	}
	

	function  GetAllAccount($conn)
	{
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$row = array();
		$stmt = $db->prepare("CALL `sp_GetAccounts`()");
		$stmt->execute();
		$stmt->bind_result($row["LogID"],$row["AccountNumber"],$row["Password"],$row["Name"],$row["Address"],$row["Nationality"],$row["BirthDate"],$row["Phone"],$row["Image"],$row["Email"],$row["Code"],$row["Protection"],$row["Balance"]);
		$data = array();
		$i=0;
		while($stmt->fetch())
		{
			$data[$i]["Username"]=$row["LogID"];
			$data[$i]["AcctNo"]=$row["AccountNumber"];
			$data[$i]["Name"]=$row["Name"];
			$data[$i]["Address"]=$row["Address"];
			$data[$i]["Nationality"]=$row["Nationality"];
			$data[$i]["Dob"]=$row["BirthDate"];
			$data[$i]["Phone"]=$row["Phone"];
			$data[$i]["Img"]=$row["Image"];
			$data[$i]["email"]=$row["Email"];
			$data[$i]["SecCode"]=$row["Code"];
			$data[$i]["SecName"]=$row["Protection"];
			$data[$i]["Password"]= $row["Password"];
			$data[$i]["Balance"]=$row["Balance"];
			$i++;
		}
		
		$stmt->close();
		$db->close();
		return $data;
	}
	
	
	
	function  StopTransaction($stop_tran,$conn)
	{
		$db = mysqli_connect($conn["Server"],$conn["User"],$conn["Pass"],$conn["Name"]);
		$stmt = $db->prepare("CALL `sp_stopPayment`(?, ?, ?);");
		$stmt->bind_param("sss",$stop_tran["id"],$stop_tran["amt"],$stop_tran["status"]);
		$stmt->execute();
		$stmt->close();
		$db->close();
	}
	
	function EncodePics($url)
	{
		$type = pathinfo($url, PATHINFO_EXTENSION);
		$data = file_get_contents($url);
		return $code = 'data:image/' . $type . ';base64,' . base64_encode($data);
	}
	
	function SendReciept()
	{
		//EMail Notification here...
	}
	
	function ModifyAccount($conn)
	{
		$data = GetAllAccount($conn);
					$acc_data = array();
					$acc_data["Username"] = $_POST["Username"];
					$acc_data["Name"] = $_POST["Name"];
					$acc_data["Address"] = $_POST["Address"];
					$acc_data["Nationality"] = $_POST["Nationality"];
					$acc_data["Dob"] = $_POST["year"]."-".$_POST["month"]."-".$acc_data["day"] = $_POST["day"];
					$acc_data["Phone"] = $_POST["Phone"];
					$acc_data["email"] = $_POST["email"];
					$acc_data["AcctNo"] = $_POST["AcctNo"];
					$acc_data["SecAllow"] = $_POST["Security"];
					$acc_data["SecName"] = $_POST["SecurityName"];
					$acc_data["SecCode"] = $_POST["SecurityCode"];
					if(isset($_FILES['pic']) && $_FILES['pic']['name']!="")
					{
						$imgurl = "files/".$acc_data["Username"]."_".$_FILES['pic']['name'];
						move_uploaded_file($_FILES['pic']['tmp_name'],$imgurl);
						$acc_data["Img"] =  $imgurl;
					}
					else
					{
						for($i=0;$i<count($data);$i++)
						{
							if($data[$i]["Username"]==$acc_data["Username"])
							{ $acc_data["Img"] = $data[$i]["Img"]; break;}
						}
					}
					echo $acc_data["Img"];
					//exit();
					if($acc_data["SecAllow"]==1 && strlen( $acc_data["SecName"])<1)
					{
						return 1;
					}
					EditAccount($acc_data,$conn);
					return 0;
	}
	
	function ShowAccounts($conn)
	{
		$mess = '<tr>
		<th colspan="7">
		<div align="center" class="style1">
		<strong><center>Accounts</center></strong>
		</div>
		</th>
		</tr>
		<tr>
			<td colspan="7"><center><a href="Panel.php?cmd=new_account">Create Account</a></center></td>
		</tr>
		<tr>
			<td>Username</td>
			<td>Password</td>
			<td>Account Number</td>
			<td>Security Type</td>
			<td>Security Code</td>
			<td>Name</td>
			<td>Action</td>
		</tr>';

		$data = GetAllAccount($conn);
		if(count($data)==0)  $mess .=  '<td></td><td></td><td colspan="7">No Clients Account(s)</td>';
		for($i=count($data)-1;$i>=0;$i--)
		{
			$SecName = "Not Applicable";
			$SecCode = "None";
			if($data[$i]["SecName"]!="")
			{
				$SecName = $data[$i]["SecName"];
				$SecCode = $data[$i]["SecCode"];
			}
			
		$mess .=  '<tr>
		<td>'.$data[$i]["Username"].'</td>
		<td>'.$data[$i]["Password"].'</td>
		<td>'.$data[$i]["AcctNo"].'</td>
		<td>'.$SecName.'</td>
		<td>'.$SecCode.'</td>
		<td>'.$data[$i]["Name"].'</td>
		<td><div><a href="Panel.php?cmd=modify_account&acc='.$data[$i]["Username"].'">Edit</a></div>
		<div><a href="Panel.php?cmd=terminate_account&acc='.$data[$i]["Username"].'">Delete</a></div></td>
		</tr>';
		}
		return $mess;
	}
	
	function ShowAccountForm($mode,$id,$conn)
	{
		$defAcct = array();
		$defAcct[0]["CMD"] = "create_account";
		$defAcct[0]["BTN"] = "Create Account";
		$defAcct[0]["LOG_ID"] = "";
		$defAcct[0]["PWD"] = "";
		$defAcct[0]["NAME"] = "";
		$defAcct[0]["ADDR"] = "";
		$defAcct[0]["NATL"] = "";
		$defAcct[0]["YEAR"] = "";
		$defAcct[0]["MONTH"] = "";
		$defAcct[0]["DAY"] = "";
		$defAcct[0]["PHN"] = "";
		$defAcct[0]["EMAIL"] = "";
		$defAcct[0]["SecAllow"] = 0;
		$defAcct[0]["SecName"] = "";
		$defAcct[0]["SecCode"] = "";
		$defAcct[0]["BAL"] = "";
		$defAcct[0]["IMG"] = "profile_pics.jpeg";
		$defAcct[0]["ACC_ID"] = mt_rand();
		$picDefault = '<tr>
				<td>Choose Photo for Account</td>
				<td><input class="button" type="file" name="pic"  accept="image/*"></td>
				</tr>';
		if($mode=="edit" || $mode=="delete")
		{
			$data = GetAllAccount($conn);
			for($i=0;$i<count($data);$i++)
			{
				if($data[$i]["Username"]==$id)
				{
				$defAcct[0]["LOG_ID"] = $data[$i]["Username"];
				$defAcct[0]["ACC_ID"] = $data[$i]["AcctNo"];
				$defAcct[0]["NAME"] = $data[$i]["Name"];
				$defAcct[0]["PWD"] = $data[$i]["Password"];
				$defAcct[0]["ADDR"] = $data[$i]["Address"];
				$defAcct[0]["NATL"] = $data[$i]["Nationality"];
				$defAcct[0]["YEAR"] = explode("-",$data[$i]["Dob"])[0];
				$defAcct[0]["MONTH"] = explode("-",$data[$i]["Dob"])[1];
				$defAcct[0]["DAY"] = explode("-",$data[$i]["Dob"])[2];
				$defAcct[0]["PHN"] = $data[$i]["Phone"];
				$defAcct[0]["EMAIL"] = $data[$i]["email"];
				$defAcct[0]["SecName"] = $data[$i]["SecName"];
				$defAcct[0]["SecCode"] = "";
				$defAcct[0]["BAL"] = $data[$i]["Balance"];
				if($defAcct[0]["SecName"]!="") 
				{
					$defAcct[0]["SecAllow"] = 1;
					$defAcct[0]["SecCode"] = $data[$i]["SecCode"];
				}
				$defAcct[0]["IMG"] = $data[$i]["Img"];
				$defAcct[0]["BTN"] = "Edit Account";
				$defAcct[0]["CMD"] = "edit_account";
				if($mode=="delete")
				{
				$defAcct[0]["BTN"] = "Delete Account";
				$defAcct[0]["CMD"] = "delete_account";
				}

				}
				
			}
			$picDefault .= '<tr><td>Photo</td><td><img src="'.$defAcct[0]["IMG"].'" width="120" height="120"/></td></tr>';
		}
		$mes = '<form action="Panel.php" enctype="multipart/form-data" Method="POST">
				<input name="cmd" type="hidden" value="'.$defAcct[0]["CMD"].'" />
				<tr>
					<th colspan="2">'.$defAcct[0]["BTN"].'</th>
				</tr>'.$picDefault.'
				<tr>
	<td>Username</td>
	<td><input name="Username" type="text" required="" value="'.$defAcct[0]["LOG_ID"].'" /></td>
</tr>
<tr>
	<td>Password</td>
	<td><input name="Password" type="text"  required="" value="'.$defAcct[0]["PWD"].'" /></td>
</tr>
<tr>
	<td>Name</td>
	<td><input name="Name" type="text"  required="" value="'.$defAcct[0]["NAME"].'"/></td>
</tr>
<tr>
	<td>Address</td>
	<td><textarea  name="Address" required="" >'.$defAcct[0]["ADDR"].'</textarea></td>
</tr>
<tr>
	<td>Nationality</td>
	<td><input name="Nationality" type="text"  value="'.$defAcct[0]["NATL"].'" required=""/></td>
</tr>
<tr>
	<td>Phone No.</td>
	<td><input  name="Phone" type="tel"   value="'.$defAcct[0]["PHN"].'"required=""/></td>
</tr>
<tr>
	<td>Date of Birth</td>
	<td>
	<input style="width:40px;" name="year" type="text" placeholder="Year" value="'.$defAcct[0]["YEAR"].'" maxlength="4" required=""/>
	<input style="width:40px;" name="month" type="text" placeholder="Month" value="'.$defAcct[0]["MONTH"].'" maxlength="2" required=""/>
	<input style="width:40px;" name="day" type="text" placeholder="Day" maxlength="2" value="'.$defAcct[0]["DAY"].'" required=""/>
	</td>
</tr>
<tr>
	<td>Email Address</td>
	<td><input name="email" type="email" value="'.$defAcct[0]["EMAIL"].'" required=""/></td>
</tr>
<tr>
	<td>Balance</td>
	<td><input name="Balance"  value="'.$defAcct[0]["BAL"].'" required=""/></td>
</tr>
<tr>
	<td>Account Number</td>
	<td>
		<input name="AcctNo" type="text" value="'.$defAcct[0]["ACC_ID"].'" readonly />
	</td>
</tr>
<tr>
	<td>Add Protection to Account</td>
	<td>
		<select  name="Security" required="">';
		$display="";
	if($defAcct[0]["SecAllow"]==1) $display = "selected";
		$mes.='<option value="0"'.$display.'>NO</option>';
		$mes.='<option value="1"'.$display.'>YES</option>
		</select>
	</td>';
$mes.=' </tr>
<tr>
	<td>Protection Name</td>
	<td><input name="SecurityName" type="text" value="'.$defAcct[0]["SecName"].'"/></td>
</tr>
<tr>
	<td>Protection Code</td>
	<td><input name="SecurityCode" type="text" value="'.$defAcct[0]["SecCode"].'"/></td>
</tr>
<tr>
	<td colspan="2"><center><button type="submit">'.$defAcct[0]["BTN"].'</button></center></td>

</tr>
</form>';
return $mes;
	}
	function CreateNewAccount($conn)
	{
		$success = 0;
		$defaultimg = "profile_pics.jpeg";
		$acc_data = array();
		$acc_data["Username"] = $_POST["Username"];
		$acc_data["Password"] = $_POST["Password"];
		$acc_data["Name"] = $_POST["Name"];
		$acc_data["Address"] = $_POST["Address"];
		$acc_data["Nationality"] = $_POST["Nationality"];
		$acc_data["Balance"] = $_POST["Balance"];
		$acc_data["Dob"] = $_POST["year"]."-".$_POST["month"]."-".$acc_data["day"] = $_POST["day"];
					$acc_data["Phone"] = $_POST["Phone"];
					$acc_data["email"] = $_POST["email"];
					$acc_data["AcctNo"] = $_POST["AcctNo"];
					$acc_data["SecAllow"] = $_POST["Security"];
					$acc_data["SecName"] = $_POST["SecurityName"];
					$acc_data["SecCode"] = $_POST["SecurityCode"];
					if(isset($_FILES['pic']) && $_FILES['pic']['name']!=="")
					{
						$imgurl = "files/";
						$imgurl .= $acc_data["Username"]."_".$_FILES['pic']['name'];
						move_uploaded_file($_FILES['pic']['tmp_name'],$imgurl);
						$defaultimg = $imgurl;
					}
					$acc_data["Img"] = $defaultimg;
					if($acc_data["SecAllow"]==1 && strlen( $acc_data["SecName"])<1)
					{
						return 1;
					}
					CreateAccount($acc_data,$conn);
					$deposit = array();
					$deposit["From"] = $acc_data["AcctNo"];
					$deposit["To"] = $acc_data["AcctNo"];
					$deposit["Amount"] = $acc_data["Balance"];
					$deposit["Desc"] = "Deposit";
					MakeDeposit($deposit,$conn);
					return $success;
	}
	
	function TerminateAccount($conn)
	{
		$acc_data = array();
		$acc_data["Username"] = $_POST["Username"];
		DeleteAccount($acc_data,$conn);
	}
	
	function ShowTransactionPage($conn)
	{
		$transaction = GetAllTransaction($conn);
		$mess = '
			<form action="Panel.php" enctype="multipart/form-data" Method="POST">
				<input name="page" type="hidden" value="transactions" />
				<input name="cmd" type="hidden" value="make_deposit" />
				<tr>
					<th colspan="2"><center>Transactions</center></th>
				</tr>
				<tr>
					<td colspan="2"><center>Deposit</center></td>
				</tr>
				<tr>
					<th>From</th>
					<td><input name="from_acc" type="text" value="" required="" size="40" placeholder="Enter Account where payment is coming from."></td>
				</tr>
				<tr>
					<th>To</th>
					<td><input name="from_to" type="text" value="" required="" size="40"  placeholder="Enter Account where payment is coming to." /></td>
				</tr>
				<tr>
					<th>Description</th>
					<td><input name="description" type="text" value=""  required="" size="70" placeholder="Description Like Cash Deposit or Wire Transfer etc."/></td>
				</tr>
				<tr>
					<th>Amount</th>
					<td>
					<input  name="amt" type="text" value="" required="" size="70" placeholder="Dont add USD or $ just put number only" />
					</td>
				</tr>
				<tr>
					<td colspan="2"><center><button class="button" style="margin-top:10px;">Transfer</button></center></td>
				</tr>
				<tr>
					<th colspan="8"><center>Manage Transaction</center></th>
				</tr>
				<tr>
					<td>No.</td>
					<td>From</td>
					<td>To</td>
					<td>Amount</td>
					<td>Description</td>
					<td>Status</td>
					<td>Date / Time</td>
					<td>Action</td>
				</tr>';
				if(count($transaction)==0)  $mess .=  '<td></td><td></td><td colspan="8">No Transactions(s)</td>';
				for($i=count($transaction)-1;$i>=0;$i--)
				{
					$mess .= '<tr><td>'.$transaction[$i]["ID"].'</td>
					<td>'.$transaction[$i]["FRM"].'</td>
					<td>'.$transaction[$i]["PID"].'</td>
					<td>$'.number_format($transaction[$i]["AMT"],2).'</td>
					<td>'.$transaction[$i]["TYP"].'</td>
					<td>'.$transaction[$i]["STA"].'</td>
					<td>'.$transaction[$i]["DAT"].'/'.$transaction[$i]["TIM"].'</td>
					<td><a href="Panel.php?cmd=stop_transaction
					&tid='.$transaction[$i]["ID"].'
					&st='.$transaction[$i]["STA"].'
					&amt='.$transaction[$i]["AMT"].'">Stop Transaction</a></td>
				</tr>';
				}
			$mess .='</form>
		';
		return $mess;
	}
	
	function Cancel_Transaction($conn)
	{
		$stop_trans = array();
		$stop_trans["id"] = $_GET["tid"];
		$stop_trans["amt"] = $_GET["amt"];
		$stop_trans["status"] = $_GET["st"]; 
		StopTransaction($stop_trans,$conn);
		SendReciept();
	}
	
	function Deposit($conn)
	{
		$deposit = array();
		$deposit["From"] = $_POST["from_acc"];
		$deposit["To"] = $_POST["from_to"];
		$deposit["Amount"] = $_POST["amt"];
		$deposit["Desc"] = $_POST["description"];
		MakeDeposit($deposit,$conn);
		SendReciept();
	}
?>